Subject: bug#21472: 25.0.50; REGRESSION: (emacs) `Coding Systems' uses curly quotes for Lisp strings

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Sep 2015 09:56:07 +0300

> Cc: [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Tue, 15 Sep 2015 12:15:25 -0700
> 
> Eli Zaretskii wrote:
> 
> > This sentence:
> >    On a decentralized version control system, push changes from the
> >    current branch to another location.
> >
> > where "push" was quoted, is now reads like incorrect English
> 
> Why?  It's idiomatic English to talk about pushing changes in a
> dVCS.

I'm not going to argue.  The results of these changes look worse to
me.  Where previously there was good English, we now have
techno-babble and borderline (a.k.a. "idiomatic") English.  It's a
shame we needed to make these changes.

Wrong analogy: here "push" is a literal verb, whereas in the sentence
I quoted "push" is a name of an operation, and "changes" is the verb.

> > Many places have a quoted text replaced by @dfn, although there's no
> > terminology here that we describe or index.
> 
> Examples?  I put in @dfn when I thought the text was defining a term.

Almost all of those are wrong, IMO, as they don't define any
terminology the manual explains or describes.

> Indexing is a separate axis

No, it's not: if you claim something is a term, you need to index it.
We index all terminology introduced in a manual, as a matter of
principle.